Subject: I got in with telnet, but I still have problems
From: [email-masked] (Nicola Bernardini)

14 Jan 1998 17:18:06 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
To: "GNU Windows 32 mailing list at cygnus.com" <[email-masked]>

after considerable struggling I managed to make it in in the Windows
NT machine through telnet with Sergey Okhapkin remote suite. I still
have problems though, because I trash cygwin.dll as soon as I get in
and execute anything (in the example that follows I do 'ls'):

Script started on Tue Jan 13 19:04:50 1998
ax-nicb:.../nicb$ telnet winnt
Trying 194.184.60.102...
Connected to winnt.axnet.it.
Escape character is '^]'.

CYGWIN32_NT 4.0 (WINNT) (tty1)

login: nicb
Password:
Last login: Sun Jan 11 19:58:01 from 194.184.60.112
sh-2.01$ ls 
(unknown) In cygwin_except_handler
(unknown) Exception trapped!
(unknown) exception C0000005 at 10018910
(unknown) exception: ax 0 bx 3F2 cx DF dx 64
(unknown) exception: si 240FA28 di 0 bp 240FA3C sp 240FA18
(unknown) exception is: STATUS_ACCESS_VIOLATION
(unknown) Stack trace:
(unknown) frame 0: sp = 0x240F84C, pc = 0x1000CEC2
(unknown) frame 1: sp = 0x240F868, pc = 0x77F94512
(unknown) frame 2: sp = 0x240F88C, pc = 0x77F88EEB
(unknown) frame 3: sp = 0x240F918, pc = 0x77F76266
(unknown) frame 4: sp = 0x240FA3C, pc = 0x1000BBED
(unknown) frame 5: sp = 0x240FF94, pc = 0x1000C113
(unknown) frame 6: sp = 0x240FFA0, pc = 0x408D3D
(unknown) frame 7: sp = 0x240FFB0, pc = 0x40103B
(unknown) frame 8: sp = 0x240FFC0, pc = 0x77F1B304
(unknown) frame 9: sp = 0x240FFF0, pc = 0x0
(unknown) End of stack trace
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
(unknown) In cygwin_except_handler
(unknown) Error while dumping state (probably corrupted stack)
(unknown) In cygwin_except_handler
.....
.....
..... never stops anymore after this.
(I have to exit from telnet via escape, the process gets locked in
and I need to go the Winnt console and stop it via the Task manager;
another potential clue is that I cannot do anything that uses the dll
while this program is locked, and that the program runs the cpu
at 100% while eating up all it's memory)

- END OF EXAMPLE

I am running Winnt 4.0 SP 3 with everything set up as documented
(CYGWIN_TTY, etc.). Thinking it was the shell I tried all the shells
I had (the old one from coolview and Bogorad's one). No success.

Has anybody got a clue?

Thanks in advance,

Nicola

------------------------------------------------------------------------
Nicola Bernardini
E-mail: [email-masked]
 
Re graphics: A picture is worth 10K words -- but only those to describe
the picture.  Hardly any sets of 10K words can be adequately described
with pictures.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".